Ofte Stilte Spørsmål

Hvordan løse inkompatibiliteten med Enfold-temaet av kriesi.at

Oppdatering 28. oktober 2016: følgende løsning er ikke nødvendig lenger hvis du bruker Maps Marker Pro v2.8, Leaflet Maps Marker v3.11 eller nyere.

Popuplaren Enfold tema av kriesi.at forutsetter at Google javascript på alle admin-sider, noe som resulterer i at Google Autocomplete API (= adressesøk) blir ødelagt. For å fikse dette må du deaktivere kartleggingsfunksjonaliteten som er lagt til ved temaet fullstendig:

Åpne wp-innhold / temaer / enfold / features.php (henholdsvis funksjonene.php fra barnetemaet ditt hvis du bruker et) og legg til følgende kode nederst:

add_filter('avf_load_google_map_api', 'disable_google_map_api', 10, 1);
function disable_google_map_api($load_google_map_api) {
        $load_google_map_api = false;
        return $load_google_map_api;
}

Flere info kl http://www.kriesi.at/support/topic/google-maps-element-javascript-conflict-with-maps-marker-pro-plugin/

0
0
5084
Ranger dette vanlige svaret

Kan jeg legge til en markør på flere kart?

Ja, med Maps Marker Pro v4.0 + er dette mulig.

Åpne markøren på baksiden og velg ønsket kart du vil tilordne fra kartutvalgsboksen:

0
0
4718
Ranger dette vanlige svaret

Jeg ser ikke varsler om plugin-oppdateringer om nye versjoner

Maps Marker Pro-pluginen sjekker hver 12. time om en ny versjon er tilgjengelig. Du kan også utløse oppdateringssjekken manuelt ved å gå til Plugins og klikke på lenken "Manuelt se etter oppdateringer" ved siden av "Maps Marker Pro":

manual-update-sjekk

Hvis du ikke ser koblingen "Manuelt se etter oppdateringer", eller hvis du klikker på den, vises ikke siste versjonen tilgjengelig, fortsett som følger:

Kontroller først om du bruker v1.5.9 eller v1.6. Med v1.5.9 ble levering av plugin-oppdateringer via SSL lagt til for å øke sikkerheten. Dessverre fant vi ut at selv om disse funksjonene fungerer bra, kan det være problemer på servere med utdaterte eller ufullstendige SSL-biblioteker. Dette kan forhindre at plugin-en din kommuniserer med mapsmarker.com for å se etter nye plugin-oppdateringer.

For å fikse dette, må du manuelt oppdatere til den nyeste versjonen, som inkluderer en løsning for disse serverne. For å oppdatere plugin-en manuelt, kan du laste ned den nyeste pakken fra https://mapsmarker.com/download-pro, pakke ut plugin-pakken og kopier filene fra den utpakket mappen / maps-marker-pro / til serveren din via FTP, overskriv alle filer og underkataloger i katalogen youdomain.com/wp-content/plugins / kart-marker-pro /

Merk: Hvis du vil avinstallere og installere plugin-en via WordPress admingrensesnitt, vil alle opprettede kart bli slettet ved avinstallering, så gjør en manuell oppdatering via FTP hvis du allerede har laget noen kart!

Hvis oppdatering til den nyeste versjonen ikke løste problemet, kan du be hoster om hjelp. Det kan være spesielle sikkerhetsregler som forhindrer serveren din i å kommunisere direkte med https://www.mapsmarker.com (GET-forespørsler, Port 443)

Det kan også hende at serveren din bare tillater direkte tilkobling via en proxy (du kan bekrefte dette hvis du ikke mottar noen WordPress-kjerne- eller plugin-oppdateringer). Hvis dette er tilfelle, må proxy-serveren konfigureres i wp-config.php (vennligst spør hoster for informasjon om proxy):

define('WP_PROXY_HOST', '192.168.xx.xxx');
define('WP_PROXY_PORT', '8080');
define('WP_PROXY_USERNAME', 'my_user_name');
define('WP_PROXY_PASSWORD', 'my_password');
define('WP_PROXY_BYPASS_HOSTS', 'localhost, www.example.com');

Hvis du ikke bruker en proxy, og fremdeles ikke ser at det er en ny plugin-versjon tilgjengelig, kan du installere feilsøylinjeplugin fra https://wordpress.org/extend/plugins/debug-bar/. Denne plugin lar deg feilsøke kommunikasjonen til oppdateringsserveren på mapsmarker.com. Etter aktivering av denne plugin, klikk på Debug i administrasjonsfeltet og velg PUC (brosjyre-kart-markør-pro) fra sidefeltet. Etterpå kan du sjekke kommunikasjonen med oppdateringsserveren ved å klikke på knappene Be om info og Sjekk nå:

debug-bar-trinn

Hvis du eller ditt hoster ikke kan hjelpe deg med informasjonen som er hentet fra feilsøylinjeplugin, heller åpne en støtte billett og vi hjelper deg gjerne med å løse problemet ditt!

2
0
8494
Ranger dette vanlige svaret

"Feil: en ny lokal lisensnøkkel kunne ikke skaffes." vises etter lisensaktivering

connect-feil

Hvis du ser feilen over etter å ha prøvd å aktivere lisensnøkkelen din på lisensinnstillingssiden, betyr dette at serveren din ikke kunne koble seg til https://www.mapsmarker.com for lisensvalidering.

Spør hoster din om hjelp her. Det kan være spesielle sikkerhetsregler som forhindrer serveren din i å kommunisere direkte med https://www.mapsmarker.com (GET-forespørsler, Port 443)

Det kan også hende at serveren din bare tillater direkte tilkobling via en proxy (du kan bekrefte dette hvis du ikke mottar noen WordPress-kjerne- eller plugin-oppdateringer). Hvis dette er tilfelle, må proxy-serveren konfigureres i wp-config.php (vennligst spør hoster for informasjon om proxy):

define('WP_PROXY_HOST', '192.168.xx.xxx');
define('WP_PROXY_PORT', '8080');
define('WP_PROXY_USERNAME', 'my_user_name');
define('WP_PROXY_PASSWORD', 'my_password');
define('WP_PROXY_BYPASS_HOSTS', 'localhost, www.example.com');

Hvis det heller ikke hjelper, vær så snill åpne en støtte billett og vi hjelper deg gjerne med å løse problemet ditt!

0
0
4755
Ranger dette vanlige svaret

Hvordan kan jeg slå tilbake til en gammel versjon av Maps Marker Pro?

Hvis du har problemer etter en oppdatering, vær så snill åpne en støtte billett. Det problemet er alvorlig og påvirker alle brukere, vi vil umiddelbart begynne å jobbe med en hurtigreparasjon som vi gjør tilgjengelig så snart som mulig (vanligvis innen 12-24 timer).

Hvis du vil bytte tilbake til en gammel versjon til denne løsningen er tilgjengelig, kan du laste ned en tidligere versjon fra https://www.mapsmarker.com/updates_pro/archive/ og overskriv plugin-filene på serveren din i katalogen / wp-innhold / plugins / maps-marker-pro / (v4 +) eller / wp-content / plugins / leaflet-maps-marker-pro / (v3.1.1 eller lavere) .

Vennligst IKKE avinstaller og installer plugin-en for å tilbakestille til en gammel versjon, da avinstallering av plugin-en vil også slette alle kartdata!

0
0
7834
Ranger dette vanlige svaret

Når jeg lagrer en markør får jeg feilen "en markør med ID 0 eksisterer ikke!"

Denne vanlige spørsmålen er bare gyldig for Maps Marker Pro v3.1.1 eller lavere:

Kontroller om databasetabellene som trengs for Maps Marker Pro, er opprettet ved å logge på databaseverktøyet ditt (vanligvis phpmyadmin) og sjekk om tabellene

  • wp_leafletmapsmarker_markers og
  • wp_leafletmapsmarker_layers

eksistere. Hvis ja, kan du slå på WordPress-feilsøking (ved å legge til definere ('WP_DEBUG', sant); å wp-config.php), se også om mulig i PHP-feilloggen og åpne a billettstøtte med de loggførte resultatene.

0
0
8024
Ranger dette vanlige svaret

utgangspunktet når du bruker veibeskrivelser for Google Maps er feil

Som standard brukes Google Maps som veibeskrivelse for veibeskrivelseslenken i kartpanelet og for veibeskrivelsen som er lagt til i popup-teksten til hver markør.

Hvis du skrev inn en adresse for stedet ditt, vil denne adressen bli brukt til veibeskrivelse utgangspunkt, hvis du bare skrev inn breddegrad og logitude koordinater (og adressefeltet er tomt), brukes disse koordinatene som utgangspunkt for veibeskrivelse.

Hvis du merker at utgangspunktet ditt på det åpnede Google Maps er feil, er det fordi Google som standard alltid beregner veibeskrivelsen ved å bruke bil som foretrukket transportmetode. Så det nærmeste stedet ditt sted som kan nås med bil, tas automatisk som utgangspunkt.

Dessverre kan ikke dette løses på Google Maps, ettersom dette ikke er en feil, men en funksjon 😉 - uansett er det flere måter å håndtere dette problemet på:

- Hvis du bare er avhengig av veibeskrivelser, kan du navigere til Innstillinger / veibeskrivelsesinnstillinger / veibeskrivelsesinnstillinger for Google Maps og merke av i avmerkingsruten “Veibeskrivelser”.

- Hvis det ikke er et alternativ for deg (veier for biler blir ignorert med denne retningen), vennligst naviger til Innstillinger / veibeskrivelsesinnstillinger / generelle veibeskrivelsesinnstillinger og angi en annen veibeskrivelse som bing-kart, som tar nøyaktig koordinatene til stedet ditt og endrer ikke utgangspunktet.

0
2
9501
Ranger dette vanlige svaret

Hvordan bruke det offisielle østerrikske kartet basemap.at

Basemap.at er det offisielle østerrikske kartet som er tilgjengelig som åpne data og er et forhåndsdefinert grunnkart i Maps Marker Pro v4.0 +:

0
0
5205
Ranger dette vanlige svaret

Jeg vil også bruke dette skjemaet - er kildekoden tilgjengelig som åpen kildekode?

Ja, faktisk har jeg til og med bygget en WordPress-plugin som du kan laste ned på http://wordpress.org/plugins/bitcoin-order-form-for-mapsmarkercom/ Koden er også tilgjengelig på Github kl https://github.com/robertharm/bitcoin-order-form

Vær oppmerksom på at denne plugin-en er tilpasset for MapsMarker.com og har ikke muligheter for å tilpasse produktene i backend. Jeg delte koden for utviklere for at de ikke trenger å finne opp hjulet på nytt, men bare skulle endre noen formparametere i koden hvis de vil bruke en tilpasset versjon på nettstedene sine.

0
0
13998
Ranger dette vanlige svaret

HTML5-fullskjermmodus fungerer ikke for kart i iframes

Hvis du legger inn et kart med en iframe-kode, må du legge til følgende kode i denne taggen for at HTLM5-fullskjermmodus (bare proversjon) skal fungere:

allowfullscreen = ”true” mozallowfullscreen = ”true” webkitallowfullscreen = ”true”

0
0
7115
Ranger dette vanlige svaret

Kan jeg legge til flere GPX-spor på et kart?

Du kan bare legge til en GPX-fil på et kart - hvis du vil vise flere GPX-spor på ett kart, må du slå sammen disse filene først - du kan bruke det elektroniske verktøyet på http://joewein.net/bike/gpxmerge/ for dette formål.

Siden v4.0 selv om flere spor i en GPX-fil også støttes og kan velges av den relaterte kontrollboksen i høydekartet:

1
0
10614
Ranger dette vanlige svaret

Kan jeg tegne et GPX-spor manuelt på et kart?

Siden v4.3 la vi til polyline-støtte som lar deg tegne direkte på kartene dine ved å bruke geometri-lag som polyliner, polygoner, sirkler og rektangler direkte på kartene dine:

Se følgende animasjon om hvordan polyliner kan redigeres (animasjon med tillatelse av Sumit Kunar - bare vær oppmerksom på at markøren som legger til funksjonalitet som sett i animasjonen ikke støttes i Maps Marker Pro - hvis du vil legge til en markør, bruk funksjonen "legg til markør"):

1
2
8761
Ranger dette vanlige svaret

Jeg vil markedsføre Maps Marker Pro med lenker og bannere på nettstedet mitt. Har du et tilknyttet program?

Ja det gjør vi.

Når du melder deg inn i vårt tilknyttede program, vil du få et utvalg av bannere og tekstkoblinger du plasserer på nettstedet ditt. Når en bruker følger koblingene fra nettstedet ditt og kjøper noe på mapsmarker.com, vil du tjene en provisjon. Vi har kommisjoner opptil 50% og trinnivånivåer med 5% provisjoner for hvert nivå.

Sjekk ut detaljene på mapsmarker.com/affiliates.

0
0
4617
Ranger dette vanlige svaret

Kan jeg prøve en live demo av Maps Marker Pro?

Ja: Test Maps Marker Pro live kl https://demo.mapsmarker.com, der du har lov til å logge på backend og teste administrasjonssidene til Maps Marker Pro før kjøpe lisens or starter en gratis 30-dagers prøveperiode på serveren din.

1
0
8190
Ranger dette vanlige svaret

Er denne plugin-kompatibel med WordPress multisite?

Du trenger minst en enkelt lisens for å også installere Maps Marker Pro i en WordPress flersideforekomst. Pro-versjonen inneholder til og med noen ekstra adminiseringsverktøy som lar deg propagere lisensnøkkelen eller tilpassede innstillinger til alle underområder.

1
0
12550
Ranger dette vanlige svaret
en English
X